Alt+left/right arrows switch between tty consoles (Gnome Shell vanishes), cannot disable

Bug #1508146 reported by Harry P on 2015-10-20
644
This bug affects 139 people
Affects Status Importance Assigned to Milestone
console-setup (Ubuntu)
Undecided
Unassigned
gdm3 (Ubuntu)
High
Unassigned
gnome-shell (Ubuntu)
High
Unassigned
kubuntu-meta (Ubuntu)
Undecided
Unassigned
lightdm (Ubuntu)
High
Unassigned
mutter (Ubuntu)
High
Unassigned

Bug Description

I'm used to using alt+left/right arrow to navigate back and forward in web browsers and elsewhere (nautilus)... But on this fresh install of Ubuntu Gnome 15.10 beta, it seems to try and switch me between tty consoles (the ctrl+alt+f1 ones). But it's not listed as one of the shortcuts in the "keyboard" menu, so I don't know how to disable it...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
karthikjain (karthikjain) wrote :

I moved from Unity to GNOME3 and now i'm facing this issue.
alt+arrow, super + arrow will switch between the virtual consoles.

Changed in gnome-shell (Ubuntu):
assignee: nobody → Karthik Jain (karthikjain)
assignee: Karthik Jain (karthikjain) → nobody
karthikjain (karthikjain) wrote :

After uninstalling mutter and reinstalling ubuntu-gnome-desktop, the problem was resolved.
may be it was a invalid configuration, may be it was never a bug.

Changed in gnome-shell (Ubuntu):
status: Confirmed → Opinion
Mathieu Comandon (strycore) wrote :

This happens from time to time on my Ubuntu Gnome 16.10 install. Most of the time, things will behave normally but once in a while, the Alt key shortcuts will do all kinds of crazy stuff with the TTYs (not only Alt+Left/Right but also Alt+F1~7)

I have no idea what causes this behavior but it has happened 3 times on the same Dell laptop. My main desktop PC (Gnome Shell installed on top of a regular Ubuntu install) has never had this issue.

Changed in gnome-shell (Ubuntu):
status: Opinion → Confirmed
Кирилл (opoxmeloid) wrote :

Same bug here, ubuntu gnome 16.10, pretty often Alt+arrow start switch me to TTY terminals with no reason. How to disable this? (Also shortcuts stop working from time to time when no EN keyboard layout is chosen, dunno is it related to this bug). Xiaomi mi notebook air 13.

Yaron Sheffer (yaronf) wrote :

That solution does not work for me (Ubuntu Gnome 16.10), in fact dumpkeys still prints the old mappings. Besides, the solution is supposed to be temporary, meaning it does not persist across reboots.

removing mutter and re-installing changed the x-window-manager to /usr/bin/metacity

Maybe that is what fixed the bug. Maybe not.

Will Cooke (willcooke) on 2017-04-26
tags: added: rls-a-incoming
Andrew Hayzen (ahayzen) wrote :

This has been seen on Ubuntu GNOME 17.04, under both Wayland and X11. It appears to happen randomly after some time, sometimes a reboot can resolve the issue, sometimes not.

Running the following command as a workaround resolves the issue:
$ sudo kbd_mode -s

FWIW, I was running on a system with Intel graphics drivers when this issue occurred.

I had this on 16.04 under Ubuntu GNOME on top of my existing Unity install this week too.

Will Cooke (willcooke) on 2017-04-27
tags: added: rls-aa-incoming
removed: rls-a-incoming
Christian Paul (g-ivfo-b) wrote :

I'm affected on Ubuntu 17.04 on a Thinkpad X230 with a German keyboard and en_CA as the system language.

Alt + Left showed me the gnome-shell lock screen. After successfully logging into the session again Alt + Up showed me my password plain text.

$ sudo kdb_mode -s

(as recommended by ahayzen) works for me too.

Adrian Fita (afita) wrote :

A workaround that I found on reddit: https://www.reddit.com/r/archlinux/comments/5620sf/alt_rightleft_arrow_keys_switching_to_virtual/d8g6ux5/

I created /etc/X11/xorg.conf.d/60-dontvtswitch.conf with the following contents:

$ cat /etc/X11/xorg.conf.d/60-dontvtswitch.conf
Section "ServerFlags"
    Option "DontVTSwitch" "true"
EndSection

Now the Alt+Left/Right don't switch to the VT consoles.

But as a side effect it's not possible to switch to the VT consoles with the usual Ctrl+Alt+F1...F12 shortcuts either.

So this is not good enough...

Adrian Fita (afita) wrote :

On Linux Mint 18.2 (based on Ubuntu 16.04) I don't experience the issue when using mdm as X display manager instead of lightdm.

So this has something to do with lightdm ?!!

Adrian Fita (afita) wrote :

Also see Bug #520546.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
jzacsh (jzacsh) wrote :

Adrian: no, not lightdm-specific. This just happened to me for the first time today and I'm using gdm3 and gnome3.

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.2 LTS"

If anyone could shed light on what logs might be checked, to debug *how* this change magically comes about, that would be helpful[1] to finding a solution. (where "solution" is: this behavior shouldn't get enabled unexpectedly).

[1]: I personally haven't a clue how this happened. I just installed a `snap` package ("shotcut") for the first time ever, and "openshot" via `apt`, then a few minutes later found this was happening.

jzacsh (jzacsh) wrote :

Hm... i didn't check quickly enough, but according to the timestamp on the below `dmesg --kernel --human` output (about the time I first experienced this bug), this bug *might* be related to this keycodes error...:

[Jul22 17:45] atkbd serio0: Unknown key pressed (translated set 2, code 0xa8 on isa0060/serio0).
[ +0.000004] atkbd serio0: Use 'setkeycodes e028 <keycode>' to make it known.
[ +15.411721] atkbd serio0: Unknown key pressed (translated set 2, code 0xa9 on isa0060/serio0).
[ +0.000007] atkbd serio0: Use 'setkeycodes e029 <keycode>' to make it known.

But I don't know enough about that log message to decide either way.

Jeremy LaCroix (j-jlacroix) wrote :

I run into this problem every now and then. I am not sure what causes it. At the moment, this is not happening. I press ALT+Left/Right with no issue. But at some point this bug seems to appear. It's frustrating because ALT+Left in Firefox, for example, is a keyboard shortcut I use to go back a page.

Matt W (shearmodulus) wrote :

Just had this bug happen to me when installing my machine's first-ever Snappy package (keepassxc if it matters). Ubuntu Gnome 16.04.

Jeremy LaCroix (j-jlacroix) wrote :

In my case, I am also using keepassxc. But I'm using the AppImage version rather than the Snap package. (The Snap version doesn't seem to be able to display a status/tray icon, while the AppImage version does).

It's possible keepassxc is related, or it's a coincidence.

summary: - alt + left/right arrows switch between tty consoles, cannot disable
+ alt + left/right arrows switch between tty consoles (Gnome Shell
+ vanishes), cannot disable
summary: - alt + left/right arrows switch between tty consoles (Gnome Shell
+ Alt+left/right arrows switch between tty consoles (Gnome Shell
vanishes), cannot disable
Changed in gnome-shell (Ubuntu):
importance: Undecided → High
Iain Lane (laney) wrote :

I think we fixed the main cause of this for 17.10 - calling setupcon --force. Has anyone had this on artful lately?

Daniel van Vugt (vanvugt) wrote :

Yes, see bug 1716415.

Iain Lane (laney) wrote :

We need to know what action triggers it. In the console-setup case it was the execution of a postinst script.

Brian Murray (brian-murray) wrote :

Where did the "setupcon --force" change happen? Is there a package update I could look for in my upgrade logs?

Iain Lane (laney) wrote :

As I said, console-setup. I think cyphermox took the final changes in the merge of 1.166.

It was some time ago, so you are probably not hitting this case.

Was it triggered by a package update for you? If so, then yes, please have a look at what you upgraded and try to replay any suspicious things to reproduce the failure.

Iain Lane (laney) wrote :

Let's track this in bug #1710637. There I added a program that you can use to find out when the system goes from working to not working, which will hopefully tell us what happens to trigger the bug.

Jamie Hutber (jamie-2) wrote :

I moved from a AMD Radeon onto a GeForce and setting up the graphics cards, I've never seen this issue before. But now, as others have said. i get the same thing.

Running 16.04 Kernal 4.4.0-97

Daniel van Vugt (vanvugt) wrote :

Jamie, it sounds like you should subscribe to bug 1710637 and request a fix for that be released for 16.04 (it's presently fixed only in 17.10 and later).

Timothy Meade (tmzt) wrote :

I'm experiencing this issue after an update through update-manager (seemingly equivalent to a standard apt-get update).

Based on a comment on another bug [1], I have found that incorrect configurations are present in my dump keys.

I was able to correct the issue by running:

sudo dumpkeys |grep -v -E '^(\W+)alt(\W+)keycode (105|106) = (Incr|Decr)_Console' |sudo loadkeys

I am commenting here because I do not experience the ctrl+c issue, and believe these may be two related but not identical bugs.

gnome-shell, Xorg, and XWayland are running. mutter is not.

[1] https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1710637/comments/40

Daniel van Vugt (vanvugt) wrote :

Bug 1710637 seems to be fixed in 17.10 and later only.

If you continue to experience this bug with Alt+left/right in 17.10 or 18.04 then yes we should reopen this bug.

Timothy: What release are you using?

Takis Issaris (panagiotis-e) wrote :

I am not sure if this is a duplicate, as I'm only experiencing the bug with Alt+left/right. I'm on 16.04.4 LTS and started experiencing this very recently after an update and reboot probably. I think that I noticed this in fact as of today. I am not sure, as initially I thought I had accidentally pressed a wrong key combo, but after 10 times, noticed that it was the key combo for going back in my browser which triggered it.

Daniel van Vugt (vanvugt) wrote :

Takis,

The fix for bug 1710637 is only in Ubuntu 17.10 and later, so please try 17.10 or 18.04.

Please also open a new bug if you think you have a new issue.

Lance Tien (lance6716) wrote :

@Daniel I'm using Ubuntu 18.04.1 LTS and this bug happened again. Alt+left first lock the GUI then to tty consoles. Now
sudo kdb_mode -s
can't work, it says sudo: kdb_mode: command not found

Daniel van Vugt (vanvugt) wrote :

Lance,

This bug is closed as a duplicate of bug 1710637. If that one isn't appropriate to you then it might be best to log your own new bug.

Petr Kubánek (petr-kubanek) wrote :

Fixed for me by executing kbd_mode -s.

James Carnegie (kipzter) wrote :

Confirmed that a recent update to my 18.04.1 machine has caused this issue.

Also confirmed that running `sudo kbd_mode -s` resolves the issue (at least temporarily).

Daniel van Vugt (vanvugt) wrote :

OK, this bug is reopened, partly because the other bug is now unreachable (private!?).

Looking at the docs for kbd_mode makes me think this is a bug in mutter or lightdm/gdm3...

  "This command is only meant for use (say via remote login) when
   some program left your keyboard in the wrong state."

Changed in mutter (Ubuntu):
importance: Undecided → High
status: New → Confirmed
tags: added: bionic xenial
Changed in gdm3 (Ubuntu):
importance: Undecided → High
Changed in lightdm (Ubuntu):
importance: Undecided → High
Changed in gdm3 (Ubuntu):
status: New → Confirmed
Kieran Bingham (kieranbingham) wrote :

At the peril of adding another Me Too comment, this happened to me on 18.04.1

sudo kbd_mode -s

has fixed it for me.

There are two relevant things that I have been running on my system before this happened.
 1) I have synergy installed, to share my keyboard and mouse to another computer (installed recently)
 2) I was playing with /dev/uinput [0]

[0] https://unix.stackexchange.com/questions/422698/how-to-set-absolute-mouse-cursor-position-in-wayland-without-using-mouse

Daniel van Vugt (vanvugt) wrote :

Thanks Kieran. I think either synergy or uinput could qualify as "some program left your keyboard in the wrong state" as mentioned in the kbd_mode docs. So those use cases are less surprising.

What I would like to know is what part of the normal desktop experience (gdm3/mutter/Xorg/gnome-shell/other) is creating similar issues and leaving the keyboard in the wrong state. It might also be something from pre-login.

Per Johansson (per.j) wrote :

I just had this on 18.04 after applying this upgrade via software-updater. At least I think that's the cause.

Start-Date: 2018-08-13 08:00:02
Commandline: aptdaemon role='role-commit-packages' sender=':1.123'
Install: linux-image-4.15.0-30-generic:amd64 (4.15.0-30.32, automatic), linux-headers-4.15.0-30:amd64 (4.15.0-30.32, automatic), linux-modules-extra-4.15.0-30-generic:amd64 (4.15.0-30.32, automatic), linux-modules-4.15.0-30-generic:amd64 (4.15.0-30.32, automatic), linux-headers-4.15.0-30-generic:amd64 (4.15.0-30.32, automatic)
Upgrade: ca-certificates-java:amd64 (20170930ubuntu1, 20180516ubuntu1~18.04.1), xserver-xorg-input-all:amd64 (1:7.7+19ubuntu7, 1:7.7+19ubuntu7.1), xserver-xorg:amd64 (1:7.7+19ubuntu7, 1:7.7+19ubuntu7.1), libvte-2.91-0:amd64 (0.52.2-1ubuntu1~18.04.1, 0.52.2-1ubuntu1~18.04.2), intel-microcode:amd64 (3.20180425.1~ubuntu0.18.04.1, 3.20180425.1~ubuntu0.18.04.2), linux-headers-generic:amd64 (4.15.0.29.31, 4.15.0.30.32), linux-libc-dev:amd64 (4.15.0-29.31, 4.15.0-30.32), python3-wadllib:amd64 (1.3.2-3, 1.3.2-3ubuntu0.18.04.1), linux-image-generic:amd64 (4.15.0.29.31, 4.15.0.30.32), snapd:amd64 (2.33.1+18.04ubuntu2, 2.34.2+18.04), lshw:amd64 (02.18-0.1ubuntu6, 02.18-0.1ubuntu6.18.04.1), google-chrome-stable:amd64 (68.0.3440.75-1, 68.0.3440.84-1), console-setup-linux:amd64 (1.178ubuntu2.2, 1.178ubuntu2.3), console-setup:amd64 (1.178ubuntu2.2, 1.178ubuntu2.3), amd64-microcode:amd64 (3.20180524.1~ubuntu0.18.04.1, 3.20180524.1~ubuntu0.18.04.2), linux-signed-generic:amd64 (4.15.0.29.31, 4.15.0.30.32), liblxc1:amd64 (3.0.1-0ubuntu1~18.04.1, 3.0.1-0ubuntu1~18.04.2), gir1.2-vte-2.91:amd64 (0.52.2-1ubuntu1~18.04.1, 0.52.2-1ubuntu1~18.04.2), guile-2.0-libs:amd64 (2.0.13+1-5build2, 2.0.13+1-5ubuntu0.1), libmspack0:amd64 (0.6-3, 0.6-3ubuntu0.1), xserver-xorg-video-all:amd64 (1:7.7+19ubuntu7, 1:7.7+19ubuntu7.1), xorg:amd64 (1:7.7+19ubuntu7, 1:7.7+19ubuntu7.1), libmysqlclient20:amd64 (5.7.22-0ubuntu18.04.1, 5.7.23-0ubuntu0.18.04.1), keyboard-configuration:amd64 (1.178ubuntu2.2, 1.178ubuntu2.3), libvte-2.91-common:amd64 (0.52.2-1ubuntu1~18.04.1, 0.52.2-1ubuntu1~18.04.2), x11-common:amd64 (1:7.7+19ubuntu7, 1:7.7+19ubuntu7.1), liblxc-common:amd64 (3.0.1-0ubuntu1~18.04.1, 3.0.1-0ubuntu1~18.04.2), linux-generic:amd64 (4.15.0.29.31, 4.15.0.30.32)
End-Date: 2018-08-13 08:01:14

Solved by rebooting.

    sudo dumpkeys |grep -E '^(\W+)alt(\W+)keycode (105|106) = (Incr|Decr)_Console'

still shows the entries after reboot, but Alt+Left/right doesn't switch vt anymore.

blau (blau-christoph) wrote :

I was also effected by this bug after running the Software Updater. Previously I have always used the CLI to install updates. Today was the 1st time that I used the GUI tool and promptly thereafter I was hit by this bug.

Marek (sniady) wrote :

I'm on 18.04.01 LTS, and I have this issue.
I was searching for this shortcut to be disabled.

Just updated via the GUI tool and this issue is now bugging me.

sudo kbd_mode -s
fixed this ... at least for now

Sebastian Geiger (lanoxx) wrote :

I can confirm that `sudo kbd_mode -s` does fix this but it seems to occur again after a reboot.

Also having this issue on a fresh install of 18.04.01, `sudo kbd_mode -s` fixed it for now, haven't rebooted yet.

Johannes Michael (locojoetive) wrote :

A simple restart fixed this for me on Ubuntu 18.04

Confirmed that a recent "ubuntu-base" update on 18.04.1.

running `sudo kbd_mode -s` resolves the issue (havent rebooted yet)

Colan Schwartz (colan) wrote :

Folks that are able to run `kdb_mode`: Please let the rest of us know what package it's from. It's not available on my system by default, and I can't seem to find the package that it ships with.

Also, what does this command do? I can't find a man page anywhere. Thanks!

Janne Snabb (snabb) wrote :

$ apt-file search kbd_mode
kbd: /bin/kbd_mode
kbd: /usr/share/man/man1/kbd_mode.1.gz
[..]

Juan Leni (jleni) wrote :

Colan, notice that it is kbd not kdb

Colan Schwartz (colan) wrote :

Ah, thanks! I must have been reading too fast. ;)

Leon (leonbo) wrote :

Just upgraded to 18.04.1 today. Totally clean install. Also happened to me.

Miguel Prates (miguel-prates) wrote :

Hi, I'm having the same problem with 18.04.
The command "sudo kbd_mode -s" (scancode (RAW) mode) works fine as well as the "-k" argument (key code mode (MEDIUMRAW)) as well. As opposed, "-u" (UTF-8 (UNICODE) mode) and "-a" (ASCII mode (XLATE)) arguments bring the bug back.

simone (simone-cortesi-com) wrote :

I can confirm, this started happening to my system today as I upgraded to the latest release, which currently is Ubuntu 18.04.1 LTS

Kiyoshi Watanabe (kiwatana) wrote :

A just restart fixed the issue in my Ubuntu 18.04.1 LTS.

Petr Kubánek (petr-kubanek) wrote :

sudo kbd_mode -s fixed the problem (again) for me.

Yannick (7a1c) wrote :

I was affected by this issue after the update of console-setup today.

got an update today, issue is back and `sudo kbd_mode -s` does not fix it anymore...

Sam Bull (dreamsorcerer) wrote :

Also just started seeing this after updating from Ubuntu GNOME 16.04 to Ubuntu 18.04. The only relevant thing I can think of, is that I may have changed the default login manager to GDM. Otherwise, can't think of anything that might have triggered this.

Ben M. (bmhm) wrote :
Download full text (3.2 KiB)

Hey all,

Kubuntu (which means plasma and KDE) is no exception. Running default config.
But for some time it worked. So it must have been in an update of the past few weeks,

It's not just alt+arrow for me. Even alt+f1 through alt+f8 will switch (to) console.

I guess this is a problem:

$ sudo dumpkeys | grep -E '(\W+)alt(\W+)keycode.*Cons'
alt keycode 59 = Console_1
        shift alt keycode 59 = Console_13
        control alt keycode 59 = Console_1
        shift control alt keycode 59 = Console_13
        alt keycode 60 = Console_2
        shift alt keycode 60 = Console_14
        control alt keycode 60 = Console_2
        shift control alt keycode 60 = Console_14
        alt keycode 61 = Console_3
        shift alt keycode 61 = Console_15
        control alt keycode 61 = Console_3
        shift control alt keycode 61 = Console_15
        alt keycode 62 = Console_4
        shift alt keycode 62 = Console_16
        control alt keycode 62 = Console_4
        shift control alt keycode 62 = Console_16
        alt keycode 63 = Console_5
        shift alt keycode 63 = Console_17
        control alt keycode 63 = Console_5
        shift control alt keycode 63 = Console_17
        alt keycode 64 = Console_6
        shift alt keycode 64 = Console_18
        control alt keycode 64 = Console_6
        shift control alt keycode 64 = Console_18
        alt keycode 65 = Console_7
        shift alt keycode 65 = Console_19
        control alt keycode 65 = Console_7
        shift control alt keycode 65 = Console_19
        alt keycode 66 = Console_8
        shift alt keycode 66 = Console_20
        control alt keycode 66 = Console_8
        shift control alt keycode 66 = Console_20
        alt keycode 67 = Console_9
        shift alt keycode 67 = Console_21
        control alt keycode 67 = Console_9
        shift control alt keycode 67 = Console_21
        alt keycode 68 = Console_10
        shift alt keycode 68 = Console_22
        control alt keycode 68 = Console_10
        shift control alt keycode 68 = Console_22
        alt keycode 87 = Console_11
        shift alt keycode 87 = Console_23
        control alt keycode 87 = Console_11
        shift control alt keycode 87 = Console_23
        alt keycode 88 = Console_12
        shift alt keycode 88 = Console_24
        control alt keycode 88 = Console_12
        shift control alt keycode 88 = Console_24
        alt keycode 99 = Last_Console
        shift alt keycode 99 = Last_Console
        altgr alt keycode 99 = Last_Console
        shift altgr alt keycode 99 = Last_Console
   ...

Read more...

Ben M. (bmhm) wrote :

I just modified comment 31 (https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1508146/comments/31):

$ sudo dumpkeys | grep -v -E '^(\W+)alt(\W+)keycode.*Cons' | sudo loadkeys

Everything with alt at the beginning and Console will not switch (to) consoles anymore.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kubuntu-meta (Ubuntu):
status: New → Confirmed
Yannick (7a1c) wrote :

In my case, I traced the issue to the keyboard-configuration package postinst script, which ends up calling 'setupcon --force --save' which in turn calls 'kbd_mode -u'

To reproduce:
sudo apt install --reinstall keyboard-configuration

setupcon documentation states:
"--force Do not check whether we are on the console. Notice that you can be forced to hard-reboot your computer if you run setupcon with this option and the screen is controlled by a X server."

It looks like the checks to avoid this behavior while a graphic environment is active don't work in the context of the installer.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in console-setup (Ubuntu):
status: New → Confirmed

Issue came back after latest update

I have this issue too in the latest update of 18.04 (that I updated on 20.09, but don't know when that was available before)

Sebastian Sipos (fbpw131) wrote :

I have this issue too since at least 10 minutes ago.
I was fiddling with tmux/byobu at the time - idk if this is relevant.

$ lsb_release -d
Description: Ubuntu 18.04.1 LTS

Sorry for the "me too" comment

William (william-cobradevil) wrote :

This still happens on ubuntu 18.10.
sudo kbd_mode -s does work.

No longer happens on my fresh 18.04.1 install after installing all the updates.

Lenovo X1 Carbon 6th gen.

Is there really any reason why keyboard-configuration.postinst passes --force to setupcon?

In Debian we do this in the Debian installer because it is running within a bterm and thus can't detect it's running on the Linux console. But we never do this for an installed system. Apparently Ubuntu took that code snipped and dropped the check for being running within the Debian installer, and thus erroneously run with --force when DISPLAY is empty (typically from unattended upgrades and such), with the resulting observed effects of this bug report.

I guess Ubuntu wants to apply the attached patch

eric (registpri+ubuntu) wrote :

The same thing just happened to me after an update.

Running `sudo kbd_mode -s` fixed it.

Patrizio Bekerle (pbek) wrote :

I also just had the same issue on KDE Neon after an update.
Running `sudo kbd_mode -s` also fixed it for me.
Thank you very much, Eric!

Have the same problem.

I was experiencing the same issue on KDE Neon. Interestingly, this used to work for ages, and now suddenly popped up all of a sudden. Running `sudo kbd_mode -s` worked for me too.

Please could an attempt be made to prevent this from happening in the future? It's quite annoying.

Many thanks to everybody for their effort.

Dan S (boonkey) wrote :

I had the same problem in 18.04.2
running `sudo kbd_mode -s` solved it

Jerry Quinn (jlquinn) wrote :

I was just affected by this update today. From apt/history.log, here's the package list that was updated:

Start-Date: 2019-04-22 14:14:19
Commandline: aptdaemon role='role-commit-packages' sender=':1.1219'
Upgrade: update-manager-core:amd64 (1:18.04.11.9, 1:18.04.11.10), libsystemd0:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), libsystemd0:i386 (237-3ubuntu10.19, 237-3ubuntu10.20), snapd:amd64 (2.37.4+18.04.1, 2.38+18.04), update-manager:amd64 (1:18.04.11.9, 1:18.04.11.10), ubuntu-standard:amd64 (1.417, 1.417.1), console-setup-linux:amd64 (1.178ubuntu2.7, 1.178ubuntu2.8), ubuntu-desktop:amd64 (1.417, 1.417.1), udev:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), console-setup:amd64 (1.178ubuntu2.7, 1.178ubuntu2.8), libudev1:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), libudev1:i386 (237-3ubuntu10.19, 237-3ubuntu10.20), ubuntu-minimal:amd64 (1.417, 1.417.1), python3-update-manager:amd64 (1:18.04.11.9, 1:18.04.11.10), im-config:amd64 (0.34-1ubuntu1.2, 0.34-1ubuntu1.3), libnss-myhostname:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), systemd-sysv:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), libpam-systemd:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), distro-info-data:amd64 (0.37ubuntu0.3, 0.37ubuntu0.4), systemd:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), libnss-systemd:amd64 (237-3ubuntu10.19, 237-3ubuntu10.20), keyboard-configuration:amd64 (1.178ubuntu2.7, 1.178ubuntu2.8)
End-Date: 2019-04-22 14:14:45

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers